Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Neurosupport
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Yandex Cloud Trust
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Managed Service for PostgreSQL
  • Начало работы
  • Управление доступом
  • Инспекции и рекомендации
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • ListRunningRepacks
        • LaunchRepack
        • TerminateRepack
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Path parameters
  • Body parameters
  • RepackSpec
  • RepackTarget
  • Response
  • FinishedRepack
  • RunningRepack
  • RepackSpec
  • RepackTarget
  1. Справочник API
  2. REST (англ.)
  3. ManagedRepack
  4. LaunchRepack

Managed Service for PostgreSQL API, REST: ManagedRepack.LaunchRepack

Статья создана
Yandex Cloud
Обновлена 1 июля 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Body parameters
  • RepackSpec
  • RepackTarget
  • Response
  • FinishedRepack
  • RunningRepack
  • RepackSpec
  • RepackTarget

Launches new Repack in given cluster

HTTP requestHTTP request

POST https://mdb.api.cloud.yandex.net/managed-postgresql/v1/clusters/{clusterId}:managedRepack_launch

Path parametersPath parameters

Request to launch a new Repack in a cluster.

Field

Description

clusterId

string

Required field. Required. ID of the PostgreSQL cluster that Repack is running in.
To get the cluster ID use a ClusterService.List request.

The maximum string length in characters is 50.

Body parametersBody parameters

{
  "spec": {
    "type": "string",
    "dbname": "string",
    "targets": [
      {
        "schema": "string",
        // Includes only one of the fields `name`, `allInSchema`
        "name": "string",
        "allInSchema": "boolean"
        // end of the list of possible fields
      }
    ],
    "waitTimeout": "string",
    "jobs": "string"
  },
  "startTimeout": "string",
  "launchId": "string"
}

Request to launch a new Repack in a cluster.

Field

Description

spec

RepackSpec

Required field. Specification of repack to launch

startTimeout

string (duration)

Initial timeout to tell finished immediately from running repacks
Defaults to 1 second, if not specified

launchId

string

UUID of launch to be set by client

RepackSpecRepackSpec

Represents specification for launching new Repack process

Field

Description

type

enum (RepackType)

Which objects to repack

  • REPACK_TYPE_INDEX: Repack indexes.
  • REPACK_TYPE_TABLE: Repack tables.

dbname

string

database name this repack process is working with

targets[]

RepackTarget

list of target objects this repack process is working with

waitTimeout

string (int64)

pg_repack option; timeout to cancel other backends on conflict

jobs

string (int64)

pg_repack option; Use this many parallel jobs for each table

RepackTargetRepackTarget

Single object to repack

Field

Description

schema

string

Schema of object to be repacked
If not given, defaults to "public"

name

string

Name of object to be repacked

Includes only one of the fields name, allInSchema.

Object to repack within the schema.

allInSchema

boolean

All objects within given schema are to be repacked

Includes only one of the fields name, allInSchema.

Object to repack within the schema.

ResponseResponse

HTTP Code: 200 - OK

{
  // Includes only one of the fields `finished`, `running`
  "finished": {
    "clusterId": "string",
    "exitCode": "string",
    "launchId": "string"
  },
  "running": {
    "clusterId": "string",
    "startTime": "string",
    "spec": {
      "type": "string",
      "dbname": "string",
      "targets": [
        {
          "schema": "string",
          // Includes only one of the fields `name`, `allInSchema`
          "name": "string",
          "allInSchema": "boolean"
          // end of the list of possible fields
        }
      ],
      "waitTimeout": "string",
      "jobs": "string"
    },
    "launchId": "string"
  }
  // end of the list of possible fields
}

Result of a Repack launch.

Field

Description

finished

FinishedRepack

Returned if pg_repack finishes immediately before start_timeout expires

Includes only one of the fields finished, running.

Outcome of the launch: finished immediately or still running.

running

RunningRepack

Returned if pg_repack still runs after start_timeout expires

Includes only one of the fields finished, running.

Outcome of the launch: finished immediately or still running.

FinishedRepackFinishedRepack

Represents already finished repack process

Field

Description

clusterId

string

Which cluster this repack was launched in

exitCode

string (int64)

Exit code of this repack launch

launchId

string

UUID of launch, identifier of specific instance of launched repack

RunningRepackRunningRepack

Represents currently running repack process

Field

Description

clusterId

string

Which cluster this repack runs in

startTime

string (date-time)

When this repack process has been started

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

spec

RepackSpec

Specification for this running repack

launchId

string

UUID of launch, identifier of specific instance of launched repack

RepackSpecRepackSpec

Represents specification for launching new Repack process

Field

Description

type

enum (RepackType)

Which objects to repack

  • REPACK_TYPE_INDEX: Repack indexes.
  • REPACK_TYPE_TABLE: Repack tables.

dbname

string

database name this repack process is working with

targets[]

RepackTarget

list of target objects this repack process is working with

waitTimeout

string (int64)

pg_repack option; timeout to cancel other backends on conflict

jobs

string (int64)

pg_repack option; Use this many parallel jobs for each table

RepackTargetRepackTarget

Single object to repack

Field

Description

schema

string

Schema of object to be repacked
If not given, defaults to "public"

name

string

Name of object to be repacked

Includes only one of the fields name, allInSchema.

Object to repack within the schema.

allInSchema

boolean

All objects within given schema are to be repacked

Includes only one of the fields name, allInSchema.

Object to repack within the schema.

Была ли статья полезна?

Предыдущая
ListRunningRepacks
Следующая
TerminateRepack
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»